﻿
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "LISTA EXPEDIENTES";
}
<style>
    /* Style the tab */
    .tab {
        overflow: hidden;
        border: 1px solid #ccc;
        background-color: #f1f1f1;
    }

        /* Style the buttons inside the tab */
        .tab button {
            background-color: inherit;
            float: left;
            border: none;
            outline: none;
            cursor: pointer;
            padding: 14px 16px;
            transition: 0.3s;
            font-size: 17px;
        }

            /* Change background color of buttons on hover */
            .tab button:hover {
                background-color: #ddd;
            }

            /* Create an active/current tablink class */
            .tab button.active {
                background-color: #ccc;
            }

    /* Style the tab content */
    .tabcontent {
        display: none;
        padding: 6px 12px;
        border: 1px solid #ccc;
        border-top: none;
    }
</style>
<script>
    var token = "@ViewBag.token";
    var idUsuario = @ViewBag.idUsuario;
    var idSala = @ViewBag.idSala;  
    $(document).ready(function () {

        var acc = document.getElementsByClassName("accordion");
        var i;

        for (i = 0; i < acc.length; i++) {
            acc[i].addEventListener("click", function () {
                this.classList.toggle("active");
                var panel = this.nextElementSibling;
                if (panel.style.maxHeight) {
                    panel.style.maxHeight = null;
                } else {
                    panel.style.maxHeight = panel.scrollHeight + "px";
                }
            });
        }

        $(document).ready(function () {
            var touch = $('#touch-menu');
            var menu = $('.menu');



            $(touch).on('click', function (e) {
                e.preventDefault();
                menu.slideToggle();
            });

            $(window).resize(function () {
                var w = $(window).width();
                if (w > 767 && menu.is(':hidden')) {
                    menu.removeAttr('style');
                }
            });

        });
    });
</script>
<script>
    function openCity(evt, cityName) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablinks");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
        }
        document.getElementById(cityName).style.display = "block";
        evt.currentTarget.className += " active";
    }
    document.getElementById("btn_TCA").click();
</script>
<div class="">
    <div class="page-title">
        <div class="title_left">

        </div>
        <div class="title_right">
            <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">

            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="row" ng-controller="SalaController as vm" ng-init="vm.ObtenerExpedientesMagistrados();">
        <div class="tab">
            <button class="tablinks active" onclick="openCity(event, 'TCA')" id="btn_TCA">JCA</button>
            <button class="tablinks" onclick="openCity(event, 'PRA')">PRA</button>
        </div>

        <div class="col-md-12 col-sm-12 col-xs-12 tabcontent" style="display:block" id="TCA">            
            <div class="x_panel">
                <div class="x_title">
                    <h2>Lista de Expedientes</h2>
                    <div class="input-group pull-right top_search">
                        <input type="text" class="form-control" ng-model="vm.buscar" placeholder="Buscar...">
                        <span class="input-group-btn">

                        </span>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">

                    <table class="table">
                        <thead>
                            <tr>
                                <th>Fecha recepción</th>
                                <th>No. Expediente</th>
                                <th>TOCA</th>
                                <th>Actor(es)</th>
                                <th>Autoridad(es)</th>
                                <th>Acto impugnado</th>
                                <th>Estado procesal</th>
                                <th>Detalles</th>
                                <th>Observaciones sin leer</th>
                                <th>Expediente Digital</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="e in vm.Expedientes|filter:vm.buscar" ng-class="{current: selected.value == $index }" ng-hide="e.idTipoDemanda==4">
                                <td>{{e.FechaRadicacion.substr(6,13) | date:'dd/MM/yyyy'}}</td>
                                <td>{{e.numExpediente}}</td>
                                <td>{{e.TOCA}}</td>
                                <td>{{e.Actor}}</td>
                                <td>{{e.Autoridad}}</td>
                                <td>{{e.Acto}}</td>
                                <td style="color:red">{{e.EstadoProcesal}}</td>
                                <td>
                                    <button type="button" class="btn btn-success" ng-click="vm.RedirectConsultar(e.numExpediente);"><span>Ver</span></button>
                                </td>
                                <td style="text-align:center">
                                    <span class="fa fa-warning fa-2x" style="color:orange;" ng-hide="e.ObservacionesSinLeer==null||e.ObservacionesSinLeer==0"></span>
                                </td>
                                <td>
                                    <a href="" ng-click="vm.ModalDos(e.id);">
                                        <span class="fa fa-archive fa-2x" style="color:blue;"></span>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                    </table>


                </div>
            </div>
        </div>
        <div class="col-md-12 col-sm-12 col-xs-12 tabcontent" id="PRA">            
            <div class="x_panel">
                <div class="x_title">
                    <h2>Lista de Expedientes PRA</h2>
                    <div class="input-group pull-right top_search">
                        <input type="text" class="form-control" ng-model="vm.buscar" placeholder="Buscar...">
                        <span class="input-group-btn">

                        </span>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">

                    <table class="table">
                        <thead>
                            <tr>
                                <th>Fecha recepción</th>
                                <th>No. Expediente</th>                                
                                <th>Autoridad Substanciadora</th>
                                <th>Presunto Responsable</th>
                                <th>Acto impugnado</th>
                                <th>Estado procesal</th>
                                <th>Detalles</th>
                                <th>Observaciones sin leer</th>
                                <th>Expediente Digital</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="e in vm.Expedientes|filter:vm.buscar" ng-class="{current: selected.value == $index }" ng-hide="e.idTipoDemanda!=4">
                                <td>{{e.FechaRadicacion.substr(6,13) | date:'dd/MM/yyyy'}}</td>
                                <td>{{e.numExpediente}}</td>                                
                                <td>{{e.Autoridad}}</td>
                                <td>{{e.Actor}}</td>
                                <td>{{e.Acto}}</td>
                                <td style="color:red">{{e.EstadoProcesal}}</td>
                                <td>
                                    <button type="button" class="btn btn-success" ng-click="vm.RedirectConsultar(e.numExpediente);"><span>Ver</span></button>
                                </td>
                                <td style="text-align:center">
                                    <span class="fa fa-warning fa-2x" style="color:orange;" ng-hide="e.ObservacionesSinLeer==null||e.ObservacionesSinLeer==0"></span>
                                </td>
                                <td>
                                    <a href="" ng-click="vm.ModalDos(e.id);">
                                        <span class="fa fa-archive fa-2x" style="color:blue;"></span>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                    </table>


                </div>
            </div>
        </div>


        <div id="mdl-Expdigital" modal="showModal" close="cancel()" class="modal fade modal-arriba" data-easein="expandIn" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">

            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <form ng-submit="" data-parsley-validate class="form-horizontal form-label-left">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                            <h4 class="modal-title titulo-msj-registro">Expediente Digital {{vm.Expediente.Numero}}</h4>
                        </div>
                        <div class="modal-body">
                            <div class="col-md-12">
                                <h4 class="pregunta-confirmacion"></h4>
                                <div class="form-group row">
                                    <table class="table table-bordered table-hover" style="font-size:smaller">
                                        <thead>
                                            <tr>
                                                <th>Documento</th>
                                                <th>Fecha</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr ng-repeat="doc in vm.Documentos">
                                                <td>{{doc.Descripcion}}</td>
                                                <td>{{doc.FechaAregado.substr(6,13) | date:'dd/MM/yyyy'}}</td>
                                                <td>
                                                    <a href="" ng-click="vm.MostrarDoc(doc.idTipoDoc,doc.RutaRemota);">
                                                        <span class="fa fa-file-pdf-o fa-2x" style="color:red;"></span>
                                                    </a>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal"> Cerrar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
</div>
@section scripts{
    <script src="~/Scripts/app/controladores/Sala/SalaController.js"></script>
    <script src="~/Scripts/app/factory/Sala/SalaFactory.js"></script>
    <script src="~/Scripts/app/factory/ReexpedicionFactory.js"></script>
    <script src="~/Scripts/angular-base64-upload.js"></script>
}